Package twisted :: Package web :: Module proxy :: Class ProxyClient

[show private | hide private]
[frames | no frames]

## Class ProxyClient

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                  HTTPClient --+
                               |
                              ProxyClient

Used by ProxyClientFactory to implement a simple web proxy.

Method Summary
| `__init__(self, command, rest, version, headers, data, father)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `HTTPClient`)
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| `endHeaders(self)` (inherited from `HTTPClient`)
| `handleEndHeaders(self)`
| `handleHeader(self, key, value)`
| `handleResponse(self, buffer)`
| `handleResponseEnd(self)` (inherited from `HTTPClient`)
| `handleResponsePart(self, data)` (inherited from `HTTPClient`)
| `handleStatus(self, version, code, message)`
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received. (inherited from `HTTPClient`)
| ``rawDataReceived`(self, data)` Override this for when raw data is received. (inherited from `HTTPClient`)
| `sendCommand(self, command, path)` (inherited from `HTTPClient`)
| `sendHeader(self, name, value)` (inherited from `HTTPClient`)
| ``sendLine`(self, line)` Sends a line to the other end of the connection. (inherited from `LineReceiver`)
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.protocols.http.HTTPClient.connectionMade` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:16:58 2003 | http://epydoc.sf.net